CREATE TABLE cel_post_run_elements (
    RUN_ELEMENT_ID           NUMBER(18, 0),
    RUN_ID                   NUMBER(18, 0)    NOT NULL,
    ELEMENT_TYPE_ID          NUMBER(18, 0),
    INPUT_VALUE_ID           NUMBER(18, 0),
    LEGISLATIVE_GROUP_ID     NUMBER(18, 0),
    LEGISLATION_CODE         VARCHAR2(120),
    LEGAL_ENTITY_ID          NUMBER(18, 0),
    INPUT_CURRENCY_CODE      VARCHAR2(60) ,
    POSTING_DATE_CODE        VARCHAR2(120),
    POSTING_DATE             DATE         ,
    FIXED_VALUE              NUMBER       ,
    MINIMUM_VALUE            NUMBER       ,
    MAXIMUM_VALUE            NUMBER       ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    RUN_ELEMENT_ID           NUMBER(18, 0),
    RUN_ID                   NUMBER(18, 0)    NOT NULL,
    ELEMENT_TYPE_ID          NUMBER(18, 0),
    INPUT_VALUE_ID           NUMBER(18, 0),
    LEGISLATIVE_GROUP_ID     NUMBER(18, 0),
    LEGISLATION_CODE         VARCHAR2(120),
    LEGAL_ENTITY_ID          NUMBER(18, 0),
    INPUT_CURRENCY_CODE      VARCHAR2(60) ,
    POSTING_DATE_CODE        VARCHAR2(120),
    POSTING_DATE             DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    MINIMUM_VALUE            NUMBER       ,
    MAXIMUM_VALUE            NUMBER       ,
    FIXED_VALUE              NUMBER       ,
    CONSTRAINT pk_cel_post_run_elements PRIMARY KEY (RUN_ELEMENT_ID, RUN_ELEMENT_ID)
);
